# eth\_getCode

1. #### Parameters

* <mark style="color:blue;">address</mark> string REQUIRED

  The address of the smart contract from which the bytecode will be obtained
* <mark style="color:blue;">blockNumber</mark> string REQUIRED

  The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getCode","params":["0x5B56438000bAc5ed2c6E0c1EcFF4354aBfFaf889","latest"],"id":1,"jsonrpc":"2.0"}'
```

2. #### Returns-&#x20;

   result- The bytecode from a given address returned as a string
